List Browser Session
Use the Bright Data Browser API to list Browser Sessions. GET /browser_sessions returns 200 OK with active or historical session metadata as JSON.
Documentation Index
Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
Use this file to discover all available pages before exploring further.
Example Usage URLs
Example Usage URLs
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07dfLearn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Query Parameters
Name of the Browser API used
Number of sessions to return
x <= 100Pagination offset
Filter by session status
running, finished, failed, all Start date filter
End date filter
Filter by target url (e.g., example.com)
Filter by end url (e.g., https://www.example.com/example/sub)
Sort field: timestamp, duration, bandwidth
timestamp, duration, bandwidth Sort order: asc or desc
asc, desc